Skip to main content
POST
/
v0
/
aois
/
{aoi_id}
/
visualizations
/
{visualization_id}
/
png
Generate an index PNG for a visualization
curl --request POST \
  --url https://api.pixxel.space/v0/aois/{aoi_id}/visualizations/{visualization_id}/png \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "index_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "date": "2024_05_06",
  "visualization_mode": "dynamic"
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.pixxel.space/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

aoi_id
string
required

AOI ID

visualization_id
string
required

Visualization ID

Body

application/json

PNG generation parameters

index_id
string
required

UUID of the index to compute the preview for

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

date
string
required

Date string, e.g. 2024_05_06

Example:

"2024_05_06"

visualization_mode
enum<string>
required

Legend mode to use: 'dynamic' or 'theoretical'

Available options:
dynamic,
theoretical
Example:

"dynamic"

Response

OK

The response is of type file.